{% extends template_base %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/simple-line-icons/css/simple-line-icons.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" " rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<!-- begin nav-pills -->
<ul class="nav nav-pills">
  <li class="nav-items">
    <a href="#tab-general" data-toggle="tab" class="nav-link active">
      <span>General</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-list_port" data-toggle="tab" class="nav-link">
      <span>Lista de Puertos</span>
    </a>
  </li>
</ul>
<!-- end nav-pills -->

<!-- begin tab-content -->
<div class="tab-content">
  <!-- begin tab-pane -->
  <div class="tab-pane fade show active" id="tab-general">
    <div class="row">
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Información general</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <span class="br">Modelo: <i id="model"></i></span>
          <span class="br">Fabricante: <i id="manufacturer"></i></span>
          <span class="br">Cantidad de módulos: <i id="modules"></i></span>
          <span class="br">Cantidad de puertos por módulo: <i id="ports_per_module"></i></span>
          <span class="br">Extremo físico en el que se encuentra: <i id="physical_ext"></i></span>
          <span class="br">Comentarios: <i id="comment"></i></span>
        </div>
        </div>
      </div>
    </div>
  </div>
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-list_port">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_ports');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Puertos<span class="olt_name"></span> </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- <div class="row">
          Filtrar por:
          <div class="col col-md-2">
            <select class="form-control" id="filter_status">
              <option>Estado</option>
              <option>ONLINE</option>
              <option>OFFLINE</option>
            </select>
          </div>
        </div> -->

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_ports">
            <thead>   
              <tr>
                <th nowrap="">Número de puerto</th>
                <th nowrap="">Tipo de conector</th>
                <th nowrap="">Comentario</th>
                <th nowrap="">Acciones</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->

</div>
<!-- end tab-content -->

<div class="modal fade" id="modal-update">
  <div class="modal-dialog">
    <div class="modal-content">
      <form id="update-form" class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Editar Puerto</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_port_no">Número de puerto</label>
          <div class="col-md-8 col-sm-8">
            <div readonly="true" class="form-control" id="det_port_no"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_port_connector_type">Tipo de conector del puerto</label>
          <div class="col-md-8 col-sm-8">
            <select required class="form-control" id="det_port_connector_type">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_comment">Comentarios</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="det_comment" rows="4" data-parsley-required="true" placeholder="Información adicional sobre el puerto" ></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Guardar cambios</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-update-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/cabecera_detail.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}